Subject: bug#52701: closed (Re: bug#52701: [PATCH 0/5] gnu: postgresql-*: Update all versions.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 18 Mar 2022 04:54:02 +0000

Your bug report

#52701: [PATCH 0/5] gnu: postgresql-*: Update all versions.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52701: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52701
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52701: [PATCH 0/5] gnu: postgresql-*: Update all versions.
From: Maxim Cournoyer <[email-masked]>
To: Brice Waegeneire <[email-masked]>
Cc: [email-masked]
Date: Fri, 18 Mar 2022 00:53:49 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Brice Waegeneire <[email-masked]> writes:

> * gnu/packages/databases.scm (postgresql-11): Update to 11.14.
> ---
>  gnu/packages/databases.scm | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)
>
> diff --git a/gnu/packages/databases.scm b/gnu/packages/databases.scm
> index 2b15876a1f..8e4c046392 100644
> --- a/gnu/packages/databases.scm
> +++ b/gnu/packages/databases.scm
> @@ -1162,14 +1162,14 @@ (define-public postgresql-11
>    (package
>      (inherit postgresql-13)
>      (name "postgresql")
> -    (version "11.13")
> +    (version "11.14")
>      (source (origin
>                (inherit (package-source postgresql-13))
>                (uri (string-append "https://ftp.postgresql.org/pub/source/v"
>                                    version "/postgresql-" version ".tar.bz2"))
>                (sha256
>                 (base32
> -                "0j5wnscnxa3sx8d39s55654df8aikmvkihfb0a02hrgmyygnihx0"))))))
> +                "16grcb0pgryz5cz0yg42mpa14f2wy325hb45h6alzdkgx55pyp4n"))))))
>  
>  (define-public postgresql-10
>    (package

Except for the versioned superseded patch (the first one), I pushed all
the others (with the freshest releases), as 93e9712952.

Thank you!

Maxim

Subject: [PATCH 0/5] gnu: postgresql-*: Update all versions.
From: Brice Waegeneire <[email-masked]>
To: [email-masked]
Date: Tue, 21 Dec 2021 13:57:29 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

Those patch update all postgresql version and deprecate postgresql-9.6 in
favor of postgresql-10, as the former is EOL.  For this deprecation to be
obvious for the end user, I have updated the 'supersede' procedure to display
the package versions.

I suggest we keep either keep the last EOL version of postgresql (ATM 9.6)
along or just drop support for the EOL version all together.  There was a
similar topic in <https://issues.guix.gnu.org/48484>.

Cheers,
- Brice

Brice Waegeneire (5):
  packages: Display superseded package version.
  gnu: postgresql-9.6: Update to 9.6.24.
  gnu: postgresql-10: Update to 10.19.
  gnu: postgresql-11: Update to 11.14.
  gnu: Add postgresql-14.

 gnu/packages.scm           |  6 ++++--
 gnu/packages/databases.scm | 34 +++++++++++++++++++++++++---------
 guix/scripts/package.scm   | 24 ++++++++++++++----------
 3 files changed, 43 insertions(+), 21 deletions(-)

--
2.34.0